program Check;

{$APPTYPE CONSOLE}

uses
  TestLib, SysUtils;

const
  eps = 1e-6;

var
  out_val1, ans_val1, out_val2, ans_val2: extended;

begin
  out_val1:= ouf.ReadReal; out_val2:= ouf.ReadReal;
  ans_val1:= ans.ReadReal; ans_val2:= ans.ReadReal;

  if not ouf.SeekEof then quit(_PE,'Extra characters in output file.');

  if abs(ans_val1-out_val1) > eps then
    quit (_WA, Format('minimum: %.7f expected, but %.7f found',[ans_val1,out_val1]));
  if abs(ans_val2-out_val2) > eps then
    quit (_WA, Format('maximum: %.7f expected, but %.7f found',[ans_val2,out_val2]));
  quit(_OK,'');
end.
